#!/usr/bin/perl

$host=shift;
$community=shift;
$os=shift;

print &getnumusers(),"\n";
if ($os eq "lin") { print &getnumlinprocs(),"\n"; }
else { print &getnumprocs(),"\n"; }
print "Users/Procs\n";
print "\n";


sub getnumusers {
    $numusers=`snmpwalk $host $community hrSystemNumUsers 2>/dev/null`;
    $users=&splitnamevalue($numusers);
    $users=~s/Gauge32\:\ //;
    return $users;
}

sub getnumprocs {
    $numprocs=`snmpwalk $host $community hrSystemProcesses 2>/dev/null`;
    $procs=&splitnamevalue($numprocs);
    $procs=~s/Gauge32\:\ //;
    return $procs;
}

sub getnumlinprocs {
    $numprocs=`snmpwalk $host $community .1.3.6.1.4.1.2021.8.1.101.3 2>/dev/null`;
    $procs=&splitnamevalue($numprocs);
    return $procs;
}

sub splitnamevalue {
    $namevalue=shift;
#    print $namevalue;
    chomp($namevalue);
    ($name,$value)=split(/ = /, $namevalue);
    return $value;
}
